import { jsx } from "react/jsx-runtime";
import { Copy as Copy$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Copy = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Copy", ...props, children: /* @__PURE__ */ jsx(Copy$1, { weight: variant }) });
  }
);
Copy.displayName = "Copy";
Object.assign(Copy, { isGdsIcon: true });
export {
  Copy
};
